Package org.springframework.http

# Interface HttpInputMessage

All Superinterfaces:
  `HttpMessage`

All Known Subinterfaces:
  `ClientHttpResponse`, `RestClient.RequestHeadersSpec.ConvertibleClientHttpResponse`, `ServerHttpRequest`

All Known Implementing Classes:
  `MappingJacksonInputMessage`, `RequestPartServletServerHttpRequest`, `ServletServerHttpRequest`

public interface HttpInputMessage extends HttpMessage
Represents an HTTP input message, consisting of headers and a readable body.

Typically implemented by an HTTP request handle on the server side, or an HTTP response handle on the client side.

Since:
  3.0
Author:
  Arjen Poutsma

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getBody()`
Return the body of the message as an input stream.

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

## Method Details

### getBody

InputStream getBody() throws IOException
Return the body of the message as an input stream.

Returns:
  the input stream body (never `null`)
Throws:
  `IOException` - in case of I/O errors